--
-- Database: `everestp_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `temp_blockips`
--
DROP TABLE IF EXISTS `temp_blockips`;
CREATE TABLE `temp_blockips`
(
    `id`             int          NOT NULL,
    `broadcaster_id` int          NOT NULL,
    `ip`             varchar(255) NOT NULL,
    `comment`        varchar(255)          DEFAULT NULL,
    `created_at`     timestamp    NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_broadcasters`
--
DROP TABLE IF EXISTS `temp_broadcasters`;
CREATE TABLE `temp_broadcasters`
(
    `id`                int                                                           NOT NULL,
    `name`              varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `station_name`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `website_url`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `email`             varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `domain`            varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci          DEFAULT NULL,
    `ssl_type`          int                                                           NOT NULL DEFAULT '0',
    `ssl_start_date`    varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
    `remember_token`    varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `password`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `ftp`               varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL,
    `autodj`            int                                                           NOT NULL DEFAULT '1',
    `record`            int                                                           NOT NULL DEFAULT '0',
    `youtube_download`  int                                                           NOT NULL DEFAULT '0',
    `youtube`           int                                                           NOT NULL DEFAULT '0',
    `facebook`          int                                                           NOT NULL DEFAULT '0',
    `telegram`          int                                                           NOT NULL DEFAULT '0',
    `custom`            int                                                           NOT NULL DEFAULT '0',
    `stations_limit`    int                                                                    DEFAULT NULL,
    `channels_limit`    int                                                                    DEFAULT NULL,
    `listeners_limit`   int                                                                    DEFAULT NULL,
    `bitrate`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci          DEFAULT NULL,
    `disk_quota`        int                                                                    DEFAULT NULL,
    `traffic_per_month` int                                                                    DEFAULT NULL,
    `traffic_hold`      int                                                           NOT NULL DEFAULT '0',
    `status`            enum ('active','suspended') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'active',
    `lang`              varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL DEFAULT 'en',
    `timezone`          varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL DEFAULT 'UTC',
    `timezone_diif`     int                                                           NOT NULL DEFAULT '0',
    `avatar`            varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL DEFAULT 'uploads/broadcasters/user.png',
    `server_status`     enum ('online','offline') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'offline',
    `iplock_type`       int                                                           NOT NULL DEFAULT '1',
    `geoblock`          int                                                           NOT NULL DEFAULT '0',
    `geoblock_type`     int                                                           NOT NULL DEFAULT '1',
    `geoblock_cntry`    varchar(800) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci          DEFAULT NULL,
    `ytcookies`         int                                                           NOT NULL DEFAULT '0',
    `created_at`        timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`        timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb3
  COLLATE = utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_broadcasters_channel`
--
DROP TABLE IF EXISTS `temp_broadcasters_channel`;
CREATE TABLE `temp_broadcasters_channel`
(
    `id`                 int                                                           NOT NULL,
    `broadcaster_id`     int                                                           NOT NULL,
    `station_id`         int                                                           NOT NULL,
    `title`              varchar(255)                                                  NOT NULL,
    `status`             varchar(255)                                                  NOT NULL DEFAULT 'active',
    `type`               int                                                           NOT NULL DEFAULT '1',
    `bitrate`            int                                                           NOT NULL DEFAULT '16',
    `listeners`          int                                                           NOT NULL,
    `server_type`        varchar(255)                                                  NOT NULL,
    `audio_format`       varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL DEFAULT 'mp3',
    `ch_pass`            varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL,
    `admin_pass`         varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL,
    `port1`              int                                                           NOT NULL,
    `port2`              int                                                           NOT NULL,
    `public`             int                                                                    DEFAULT '1',
    `proxy_status`       int                                                           NOT NULL DEFAULT '0',
    `proxy_point`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '_default_',
    `auth_listeners`     int                                                           NOT NULL DEFAULT '0',
    `sc_key`             varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `sc_uid`             varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `sc_license`         varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `statistics_last`    varchar(255)                                                  NOT NULL DEFAULT '0',
    `statistics_lasttrc` varchar(255)                                                  NOT NULL DEFAULT '0',
    `created_at`         timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`         timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_broadcasters_live`
--
DROP TABLE IF EXISTS `temp_broadcasters_live`;
CREATE TABLE `temp_broadcasters_live`
(
    `id`             int          NOT NULL,
    `broadcaster_id` int          NOT NULL,
    `station_id`     int          NOT NULL,
    `port`           int          NOT NULL,
    `password`       varchar(250) NOT NULL,
    `mountpoint`     varchar(250) NOT NULL,
    `created_at`     timestamp    NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp    NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_broadcasters_station`
--
DROP TABLE IF EXISTS `temp_broadcasters_station`;
CREATE TABLE `temp_broadcasters_station`
(
    `id`                   int                                                           NOT NULL,
    `broadcaster_id`       int                                                           NOT NULL,
    `type`                 int                                                           NOT NULL DEFAULT '1',
    `status`               varchar(255)                                                  NOT NULL DEFAULT 'on',
    `title`                varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci          DEFAULT NULL,
    `genre`                varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci          DEFAULT NULL,
    `URL`                  varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci          DEFAULT NULL,
    `description`          text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci,
    `crossfade`            int                                                           NOT NULL DEFAULT '1',
    `crossfade_type`       int                                                           NOT NULL DEFAULT '1',
    `crossfade_sec`        int                                                           NOT NULL DEFAULT '4',
    `normalize_volume`     int                                                           NOT NULL DEFAULT '0',
    `record_status`        int                                                           NOT NULL DEFAULT '0',
    `record_bitrate`       int                                                           NOT NULL DEFAULT '16',
    `record_type`          int                                                           NOT NULL DEFAULT '1',
    `record_time_type`     int                                                           NOT NULL DEFAULT '1',
    `record_time`          varchar(255)                                                           DEFAULT NULL,
    `alert`                int                                                           NOT NULL DEFAULT '0',
    `exclude_folders`      text COLLATE utf8mb4_general_ci,
    `requested_track_mode` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'dont_play_listeners_request',
    `play_after`           int                                                           NOT NULL DEFAULT '1',
    `moderation`           varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT 'skip_moderation',
    `created_at`           timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`           timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_jingles`
--
DROP TABLE IF EXISTS `temp_jingles`;
CREATE TABLE `temp_jingles`
(
    `id`             int                                                           NOT NULL,
    `broadcaster_id` int                                                           NOT NULL,
    `station_id`     int                                                           NOT NULL,
    `playlist_id`    int                                                           NOT NULL,
    `status`         int                                                           NOT NULL DEFAULT '0',
    `name`           varchar(250) COLLATE utf8mb4_general_ci                       NOT NULL,
    `type`           varchar(255) COLLATE utf8mb4_general_ci                       NOT NULL,
    `priority`       int                                                           NOT NULL,
    `mode`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'normal',
    `time`           varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `interrupts`     int                                                           NOT NULL DEFAULT '1',
    `between_tracks` int                                                           NOT NULL DEFAULT '0',
    `start_on`       int                                                           NOT NULL DEFAULT '0',
    `running`        int                                                           NOT NULL DEFAULT '-1',
    `current_day`    int                                                           NOT NULL DEFAULT '-1',
    `current_hour`   int                                                           NOT NULL DEFAULT '-1',
    `last_run`       varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `created_at`     timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_playlists`
--
DROP TABLE IF EXISTS `temp_playlists`;
CREATE TABLE `temp_playlists`
(
    `id`                    int                                                           NOT NULL,
    `broadcaster_id`        int                                                           NOT NULL,
    `station_id`            int                                                           NOT NULL,
    `title`                 varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL,
    `mode`                  varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL,
    `tags`                  text CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci,
    `durations`             varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL DEFAULT '0',
    `jingle`                int                                                           NOT NULL DEFAULT '0',
    `track_repeat_status`   int                                                           NOT NULL DEFAULT '0',
    `track_repeat_time`     int                                                           NOT NULL DEFAULT '5',
    `artists_repeat_status` int                                                           NOT NULL DEFAULT '0',
    `artists_repeat_time`   int                                                           NOT NULL DEFAULT '5',
    `created_at`            timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`            timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb3
  COLLATE = utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_reseller_broadcasters`
--
DROP TABLE IF EXISTS `temp_reseller_broadcasters`;
CREATE TABLE `temp_reseller_broadcasters`
(
    `id`             int       NOT NULL,
    `reseller_id`    int       NOT NULL,
    `broadcaster_id` int       NOT NULL,
    `created_at`     timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = latin1;

-- --------------------------------------------------------

--
-- Table structure for table `temp_schedules`
--
DROP TABLE IF EXISTS `temp_schedules`;
CREATE TABLE `temp_schedules`
(

    `id`                      int                                                           NOT NULL,
    `broadcaster_id`          int                                                           NOT NULL,
    `station_id`              int                                                                    DEFAULT NULL,
    `playlist_id`             int                                                                    DEFAULT NULL,
    `jingle_pl`               varchar(255) COLLATE utf8mb3_unicode_ci                                DEFAULT NULL,
    `next_count`              int                                                           NOT NULL DEFAULT '0',
    `type`                    varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL,
    `sched`                   varchar(255) COLLATE utf8mb3_unicode_ci                       NOT NULL DEFAULT 'playlist',
    `link`                    varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci          DEFAULT NULL,
    `status`                  int                                                           NOT NULL DEFAULT '0',
    `days`                    varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci          DEFAULT NULL,
    `start_day`               date                                                                   DEFAULT NULL,
    `end_day`                 date                                                                   DEFAULT NULL,
    `start_time`              time                                                                   DEFAULT NULL,
    `end_time`                time                                                                   DEFAULT NULL,
    `interrupts`              int                                                           NOT NULL DEFAULT '1',
    `return_default_playlist` int                                                           NOT NULL DEFAULT '1',
    `run`                     int                                                           NOT NULL DEFAULT '1',
    `created_at`              timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
    `updated_at`              timestamp NULL DEFAULT NULL
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb3
  COLLATE = utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_social_streams`
--
DROP TABLE IF EXISTS `temp_social_streams`;
CREATE TABLE `temp_social_streams`
(
    `id`              int                                                           NOT NULL,
    `broadcaster_id`  int                                                           NOT NULL,
    `station_id`      int                                                           NOT NULL,
    `channel_id`      int                                                           NOT NULL,
    `img`             varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '0',
    `youtube_url`     varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'rtmp://a.rtmp.youtube.com/live2',
    `youtube_key`     varchar(255)                                                           DEFAULT NULL,
    `youtube_status`  int                                                           NOT NULL DEFAULT '0',
    `facebook_url`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'rtmps://live-api-s.facebook.com:443/rtmp',
    `facebook_key`    varchar(255)                                                           DEFAULT NULL,
    `facebook_status` int                                                           NOT NULL DEFAULT '0',
    `telegram_url`    varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'rtmps://dc4-1.rtmp.t.me/s',
    `telegram_key`    varchar(255)                                                           DEFAULT NULL,
    `telegram_status` int                                                           NOT NULL DEFAULT '0',
    `custom_url`      varchar(255)                                                           DEFAULT NULL,
    `custom_key`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci          DEFAULT NULL,
    `custom_status`   int                                                           NOT NULL DEFAULT '0',
    `created_at`      timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`      timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_tracks`
--
DROP TABLE IF EXISTS `temp_tracks`;
CREATE TABLE `temp_tracks`
(
    `id`             int       NOT NULL,
    `broadcaster_id` int       NOT NULL,
    `playlist_id`    int       NOT NULL,
    `track_id`       int       NOT NULL                                            DEFAULT '88',
    `flag`           varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci DEFAULT NULL,
    `position`       int                                                           DEFAULT NULL,
    `created_at`     timestamp NOT NULL                                            DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp NOT NULL                                            DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb3
  COLLATE = utf8mb3_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `temp_trackslists`
--
DROP TABLE IF EXISTS `temp_trackslists`;
CREATE TABLE `temp_trackslists`
(
    `id`               int                                                           NOT NULL,
    `broadcaster_id`   int                                                           NOT NULL,
    `station_id`       int                                                           NOT NULL,
    `title`            varchar(500)                                                  NOT NULL,
    `path`             varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `duration`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci          DEFAULT NULL,
    `image`            varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'tracks/track-icon.png',
    `api_title`        varchar(255)                                                           DEFAULT NULL,
    `api_album`        varchar(255)                                                           DEFAULT NULL,
    `api_artist`       varchar(255)                                                           DEFAULT NULL,
    `api_image`        varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci         DEFAULT NULL,
    `api_artist_image` varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci         DEFAULT NULL,
    `name`             varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `artist`           varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `album`            varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `size`             varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `bitrate`          varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `sample_rate`      varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `channels`         int                                                                    DEFAULT NULL,
    `format_name`      varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `api_title`        varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `api_album`        varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `api_artist`       varchar(255) COLLATE utf8mb4_general_ci                                DEFAULT NULL,
    `api_image`        varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci         DEFAULT NULL,
    `api_artist_image` varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci         DEFAULT NULL,
    `request_list`     int                                                           NOT NULL DEFAULT '0',
    `created_at`       datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`       datetime                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;


-- --------------------------------------------------------

--
-- Table structure for table `temp_broadcasters_djs`
--
DROP TABLE IF EXISTS `temp_broadcasters_djs`;
CREATE TABLE `temp_broadcasters_djs`
(
    `id`             int          NOT NULL,
    `broadcaster_id` int          NOT NULL,
    `station_id`     int          NOT NULL,
    `live_id`        int          NOT NULL,
    `status`         int          NOT NULL DEFAULT '0',
    `name`           varchar(250) NOT NULL,
    `password`       varchar(250) NOT NULL,
    `mountpoint`     varchar(250) NOT NULL,
    `priority`       int          NOT NULL,
    `dj_time_type`   int          NOT NULL DEFAULT '1',
    `dj_time`        varchar(255)          DEFAULT NULL,
    `created_at`     timestamp    NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp    NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;

DROP TABLE IF EXISTS `temp_playerbuilders`;
CREATE TABLE `temp_playerbuilders`
(
    `id`                           int                                                           NOT NULL,
    `broadcaster_id`               int                                                           NOT NULL,
    `station_id`                   int                                                           NOT NULL,
    `width`                        varchar(255)                                                  NOT NULL,
    `background_color`             varchar(255)                                                  NOT NULL,
    `text_color`                   varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `listdisplay`                  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `list_background`              varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `tracks_list_height`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `tracks_list_scroll`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_title_color`            varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_title_font`             varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_description_color`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_description_font`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_border`                 varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_border_color`           varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_border_radius`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `track_padding`                varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
    `main_border_size`             varchar(255)                                                  NOT NULL,
    `main_border_color`            varchar(255)                                                  NOT NULL,
    `progressbar_color`            varchar(255)                                                  NOT NULL,
    `progressbar_background_color` varchar(255)                                                  NOT NULL,
    `track_background_color`       varchar(255)                                                  NOT NULL,
    `main_image`                   varchar(255)                                                  NOT NULL,
    `duration`                     varchar(255)                                                  NOT NULL,
    `listeners`                    varchar(255)                                                  NOT NULL,
    `auto_dj`                      varchar(255)                                                  NOT NULL,
    `next`                         varchar(255)                                                  NOT NULL,
    `live`                         varchar(255)                                                  NOT NULL,
    `select_background`            varchar(255)                                                  NOT NULL,
    `select_height`                varchar(255)                                                  NOT NULL,
    `select_border_radius`         varchar(255)                                                  NOT NULL,
    `channels_select`              varchar(255)                                                  NOT NULL,
    `select_color`                 varchar(255)                                                  NOT NULL,
    `created_at`                   timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`                   timestamp                                                     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_0900_ai_ci;


--
-- Table structure for table `rotations`
--
DROP TABLE IF EXISTS `temp_rotations`;
CREATE TABLE `temp_rotations`
(
    `id`             int NOT NULL,
    `broadcaster_id` int NOT NULL,
    `sched_id`       int NOT NULL,
    `playlist_id`    int NOT NULL,
    `weight`         int NOT NULL,
    `run`            int NOT NULL DEFAULT '0',
    `pass`           int NOT NULL DEFAULT '0',
    `created_at`     timestamp NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = latin1;



DROP TABLE IF EXISTS `temp_tags`;
CREATE TABLE `temp_tags`
(
    `id`             int                                     NOT NULL,
    `broadcaster_id` int                                     NOT NULL,
    `station_id`     int                                     NOT NULL,
    `name`           varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
    `color`          varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
    `created_at`     timestamp                               NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci;


--
-- Table structure for table `tag_tracks`
--

DROP TABLE IF EXISTS `temp_tag_tracks`;
CREATE TABLE `temp_tag_tracks`
(
    `id`            int       NOT NULL,
    `tag_id`        int       NOT NULL,
    `trackslist_id` int       NOT NULL,
    `created_at`    timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`    timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci;

--
-- Table structure for table `tag_playlists`
--

DROP TABLE IF EXISTS `temp_tag_playlists`;
CREATE TABLE `temp_tag_playlists`
(
    `id`          int       NOT NULL,
    `tag_id`      int       NOT NULL,
    `playlist_id` int       NOT NULL,
    `created_at`  timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`  timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci;


DROP TABLE IF EXISTS `temp_auth_listeners`;
CREATE TABLE `temp_auth_listeners`
(
    `id`             int                                     NOT NULL,
    `broadcaster_id` int                                     NOT NULL,
    `station_id`     int                                     NOT NULL,
    `token`          varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
    `last_connect`   timestamp                               NOT NULL,
    `description`    varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
    `created_at`     timestamp                               NOT NULL              DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp                               NOT NULL              DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


DROP TABLE IF EXISTS `temp_broadcasters_ftp_accounts`;
CREATE TABLE `temp_broadcasters_ftp_accounts`
(
    `id`             int                                                            NOT NULL,
    `broadcaster_id` int                                                            NOT NULL,
    `station_id`     int                                                            NOT NULL,
    `username`       varchar(255) COLLATE utf8mb4_general_ci                        NOT NULL,
    `password`       varchar(255) COLLATE utf8mb4_general_ci                        NOT NULL,
    `directory`      varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
    `created_at`     timestamp                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `updated_at`     timestamp                                                      NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


DROP TABLE IF EXISTS `temp_requestlist`;
CREATE TABLE `temp_requestlist`
(
    `id`             int       NOT NULL,
    `station_id`     int       NOT NULL,
    `broadcaster_id` int       NOT NULL,
    `track_id`       int       NOT NULL,
    `created_at`     timestamp NOT NULL,
    `updated_at`     timestamp NOT NULL,
    `status`         int       NOT NULL                      DEFAULT '0',
    `played_at`      timestamp NULL DEFAULT NULL,
    `client_ip`      varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
    `count`          int       NOT NULL                      DEFAULT '0',
    `run`            int       NOT NULL                      DEFAULT '1',
	`created_at`     timestamp                               NOT NULL DEFAULT CURRENT_TIMESTAMP,
	`updated_at`     timestamp                               NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
